%define module_name File-Extension
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IPC/System/Simple.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.038
Release: alt1
Summary: Lookup file extensions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLDRICH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
File::Extension exposes functionality for getting information on
filetypes based solely on their file extension.

This is useful in cases where libmagic doesn't work, i.e on empty or
corrupted files.

The extensions and descriptions are taken from http://fileinfo.com.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/F*

%files scripts
%_bindir/*

%changelog
* Mon Feb 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.038-alt1
- updated by package builder

* Sun Feb 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.036-alt1
- updated by package builder

* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.034-alt1
- regenerated from template by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.030-alt1
- regenerated from template by package builder

* Tue Dec 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.020-alt1
- initial import by package builder

